import App from './App'

// #ifndef VUE3
import Vue from 'vue'
Vue.config.productionTip = false;
//组件库
import uView from '@/uni_modules/uview-ui'
Vue.use(uView)
//colorui 自定义顶部nav
import cuCustom from './colorui/components/cu-custom.vue'
Vue.component('cu-custom', cuCustom)
import timeHorizon from './components/timeHorizon'
Vue.component('time-horizon', timeHorizon)
import controlItem from "./control/modules/controlItem.vue"
Vue.component('control-item', controlItem)
import My_input from "./control/modules/My_input.vue"
Vue.component('My_input', My_input)

//自定义组件
import My_listbox from './components/My_listbox';
Vue.component('My_listbox', My_listbox);
import My_search from './components/My_search';
Vue.component('My_search', My_search);
import My_form from './components/My_form';
Vue.component('My_form', My_form);
import My_Files from './components/My_Files';
Vue.component('My_Files', My_Files);
import connectingDevice from './control/modules/connectingDevice';
Vue.component('connectingDevice', connectingDevice);

console.log("process.env.NODE_ENV", process.env.NODE_ENV)
//挂载接口 'production'
let isDev = false //['development'].includes(process.env.NODE_ENV);
console.log('运行环境', isDev ? '开发' : '生产');

const http = {};
// #ifdef H5
http.baseUrl = isDev ? "/apis1" : "/apis";
http.socket = isDev ? "/socket1" : "/socket";

// http.baseUrl = "/apis";
// http.socket = "/socket";
// #endif
// #ifndef H5
http.baseUrl = isDev ? "http://61.164.207.46:8100" : "https://www.ibpchina.com.cn";
http.socket = isDev ? "ws://61.164.207.46:8100" : "wss://www.ibpchina.com.cn";

// http.baseUrl = "https://www.ibpchina.com.cn";
// http.socket = "wss://www.ibpchina.com.cn";
// #endif
console.log("接口地址", http)

import {
  ApiModel
} from './utils/api'
Vue.prototype.$Http = new ApiModel(http);
import {
  Socket
} from './utils/Socket'
Vue.prototype.$Socket = new Socket(http);

App.mpType = 'app'
const app = new Vue({
  ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import {
  createSSRApp
} from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif